<?php

class User extends CModel {

	public $source;

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules() {
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('source', 'exist', 'attributeName' => 'tag',
				'criteria' => array('condition' => 'enabled=1'),
				'className' => 'SourceRecord')
		);
	}

	public function attributeNames() {
		return array('source');
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels() {
		return array(
		);
	}

}
